import { SimpleLocalIntegration } from '../../core/index.js';
import { AirzoneConfigFlow } from './airzone.classes.configflow.js';
import { createAirzoneDiscoveryDescriptor } from './airzone.discovery.js';
import type { IAirzoneConfig } from './airzone.types.js';
import { airzoneDomain, airzoneProfile } from './airzone.types.js';

export class AirzoneIntegration extends SimpleLocalIntegration<IAirzoneConfig> {
  public readonly domain = airzoneDomain;
  public readonly discoveryDescriptor = createAirzoneDiscoveryDescriptor();
  public readonly configFlow = new AirzoneConfigFlow();

  constructor() {
    super(airzoneProfile);
  }
}

export class HomeAssistantAirzoneIntegration extends AirzoneIntegration {}
